Skip to main content
POST
/
runFlashCheck
Run flash check
curl --request POST \
  --url https://api.parcha.ai/api/v1/runFlashCheck \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_key": "<string>",
  "check_id": "<string>",
  "case_id": "<string>",
  "check_args": {}
}
'
import requests

url = "https://api.parcha.ai/api/v1/runFlashCheck"

payload = {
"agent_key": "<string>",
"check_id": "<string>",
"case_id": "<string>",
"check_args": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_key: '<string>',
check_id: '<string>',
case_id: '<string>',
check_args: {}
})
};

fetch('https://api.parcha.ai/api/v1/runFlashCheck', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.

Body

application/json
agent_key
string
required

The unique identifier for the agent

check_id
string
required

The ID of the check to run

case_id
string
required

The ID of the case

case_type
enum<string>
required

The type of case

Available options:
kyb,
kyc,
entity
check_args
object

Additional arguments for the check

Response

Flash check completed successfully